﻿/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*           This is the CSS layout for each Theme(client website)                *
*  Once you find the colors you will be using to stylize each theme it might     *
*  be easier to decide where you will use the colors and then find and replace   *
*  the values below to make setting up each new eComm customer quicker!          *
*                                                                                *
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


/*DEFAULTS
-------------------------------------------------------*/
body
{
    background:#FFFFFF url('../images/bg.jpg');
    background-size: initial;
    background-repeat: repeat;
}

/* PRIMARY LAYOUT ELEMENTS
-------------------------------------------------------*/

.page, .show_normal, .show_flipped, .show_left, .show_right, .newUser, .pageContent, .confirmApptPopup, .changeApptPopup, .pageVerificationContent
{
    border-color: #52AEA1;
}
.pageContent{
    background: rgba(255, 255, 255, .8);
    box-shadow: 1px 1px 10px #777777;
    -webkit-box-shadow: 1px 1px 10px #777777;
}

.header
{
    /*Set header bg color, banner picture, and how to repeat.*/
}

.main
{
    background-color: transparent; /*Set background color of main content to match client's website*/
    border-bottom-color: #175E9C; /* Set border color */
}

.login, .newMsg
{
    background-color: #F8FFFE; /*Set as the same color as the menu link hover color*/
    border-color: #175E9C; /*Border-Color for the fieldset on login page*/
}

.footer, .footer a,
.subhead, 
.tableHeader, .tableFooter,
.reptHeader,
.search,
.financialHeader,
.gridViewHeader, .gridViewPager, .gridViewPager a, .gridViewFooter, .gridViewFooter a,
.phoneBook th,
.editContactTitle
{
    background-color: #9ECA3D; /*Set background Color*/
    color: #FFFFFF; /*Set font color */
}

.subhead h2, .subhead h3, .subhead h4, .subhead h5, .subhead h6,
.tableHeader h2, .tableHeader h3, .tableHeader h4, .tableHeader h5, .tableHeader h6,
.editContactTitle h2,
.loginDisplay a:link, .loginDisplay a:visited, .loginDisplay a:hover, .loginDisplay
{
    color: #FFFFFF;   
}

.subhead2
{
    /* Just need to set only Background Color */
    background-color: #FFFFFF;
}

.tablecolors
{
    /* BorderColor and Background Color of Tables used only for input forms */
    border-color: #175E9C;/*Border Color will change the most per site*/
    background-color: White;/*Only Change if really necessary*/
} 

.popupBG,
.editContactCard, .editPatientContactCard, .patientInfo, .insertNewPatientContactCard
{
    background: #F7EACC;
}

.gridViewSelectedRow, .gridViewSelectedRow a
{
    background-color: #ECCF88; /*Set bg color of GridView Selected Row*/
    color: #000000; /*Set font color of GridView Selected Row if white isn't sufficient*/
}

.balance span
{
    color:#000000;   
}

/* TAB MENU
-------------------------------------------------------*/
div.hideSkiplink
{
    background: #9ECA3D;
    color: #FFFFFF;
}

div.menu ul li a, div.menu ul li a:visited
{
    background: #F8FFFE; /*Set background color of nav menu links*/
    border-color: #175E9C; /*Set border color of nav menu links*/
    color: #000000; /*Set font color of nav menu links*/
}

div.menu ul li a:hover
{
    background-color: #ECCF88; /*Set background color of nav menu link when mouse is hovering over it*/
    color: #000000; /*Set font color of nav menu link when mouse is hovering over it*/
}

div.menu ul li a:active
{
    background: #88AC33; /*Set background color of nav menu link when clicked by mouse*/
    color: #000000; /*Set font color of nav menu link when clicked by mouse*/
}

/* FORM ELEMENTS   
----------------------------------------------------------*/

/* FINANCIAL PAGES
----------------------------------------------------------*/

.financialFormView
{
    background-color: White;/*Set the background color if needed*/
}

#fvDateSearch
{
    border-top-color: #88AC33;/*Set border color*/
    border-left-color:#88AC33;/*Set border color*/
    border-right-color:#88AC33;/*Set border color*/
}

/* MISC
----------------------------------------------------------*/


/* CALENDAR EXTENDERS
------------------------------------------------------------*/
/* Theme2 matches the color scheme of their website */

.cal_Theme2 .ajax__calendar_container
{
    background-color: #ECCF88; /*Set the bg color to match their website*/
    border-color: #175E9C;
}

.cal_Theme2 .ajax__calendar_header
{
    background-color: #CD3830;/*Set the bg color to match their website*/
}

.cal_Theme2 .ajax__calendar_title, .cal_Theme2 .ajax__calendar_next, .cal_Theme2 .ajax__calendar_prev
{
    color: #000000;/*Set the font color to an appropriate color*/
    background-color: #CD3830;/*Set the bg color to match their website*/
}

.cal_Theme2 .ajax__calendar_body
{
    background-color: #CD3830;/*Set the bg color to match their website*/
}

.cal_Theme2 .ajax__calendar_hover .ajax__calendar_day, .cal_Theme2 .ajax__calendar_hover .ajax__calendar_month, .cal_Theme2 .ajax__calendar_hover .ajax__calendar_year, .cal_Theme2 .ajax__calendar_active
{
    color: #000000;/*Set the font color*/
    background-color: #FFFFFF;/*Set bg color to match their website*/
}

.cal_Theme2 .ajax__calendar_today   
{
    color: #000000;/*Set the font color*/
}

.cal_Theme2 .ajax__calendar_other, .cal_Theme2 .ajax__calendar_hover .ajax__calendar_today, .cal_Theme2 .ajax__calendar_hover .ajax__calendar_title
{
    color: #000000;/*Set the font color*/
}

/* jQuery Tabs STYLES
---------------------------------------------------------*/
#tabContainer ul.tabMenu li
{
    border-color: #175E9C;
}

#tabContainer ul.tabMenu li:hover
{
    background: #F7EACC;
}

#tabContainer ul.tabMenu li.active
{
    background: #F7EACC;
    color: #000000;   
}

.content
{
    background: #F7EACC;
    border-color: #175E9C;
}

